Introducing the Chargebee CLI

List business entities

Returns a list of business_entity resources configured for the site, meeting all the conditions specified in the filter parameters below. By default, this list is sorted by id in ascending order.

Sample Request

Sample Result[JSON]

URL Format

GET https://[site].chargebee.com/api/v2/business_entities

Input Parameters

limit
optional, integer, default=10, min=1, max=100

The number of resources to be returned.

offset
optional, string, max chars=1000

Determines your position in the list for pagination. To ensure that the next page is retrieved correctly, always set offset to the value of next_offset obtained in the previous iteration of the API call.

include_deleted
optional, boolean, default=false

If set to true, the list of business entities returned includes those that have been deleted.

Filter Params

For operator usages, see the Pagination and Filtering section.
name[<operator>]

optional, string filter

Filter business entities based on their name. Supported operators : is, is_not, starts_with, in, not_in, is_present

Example → name[is] = "Acme Inc"

Supported operators: is, is_not, starts_with, is_present
Example → John

Returns

next_offset
optional, string, max chars=1000

This attribute is returned only if more resources are present. To fetch the next set of resources use this value for the input parameter offset.

Business entity object

Resource object representing business_entity .